Fastfold Docs
Library

List Library

List root-level library items with filtering and cursor pagination.

GET
/v1/library/list

Authorization

bearerAuth

AuthorizationBearer <token>

Bearer token authentication. Use your API key with: Authorization: Bearer <YOUR_API_KEY>

In: header

Query Parameters

file_type?string
project_id?string
Formatuuid
updated_from?string
Formatdate-time
updated_to?string
Formatdate-time
cursor?string
skip?integer
Default0
limit?integer
Default100

Response Body

application/json

application/json

curl -X GET "https://api.fastfold.ai/v1/library/list"
{
  "root": [
    {
      "id": "13b7cf85-2e55-4fd2-8750-b3b4517e6f62",
      "name": "Workflow Inputs",
      "type": "folder",
      "createdAt": "2026-02-22T20:31:33.007374",
      "updatedAt": "2026-02-22T20:31:34.316422",
      "colorHex": "#1f2937"
    }
  ],
  "count": 1,
  "next_cursor": null
}
{
  "message": "string"
}

Last updated on